Microsoft Management Console 3.0

Microsoft Management Console 3.0

Microsoft Management Console (MMC) hosts administrative tools that you can use to administer networks, computers, services, and other system components.

To find features that have been added or changed since MMC 2.0, see What's New in MMC 3.0.

For tips about using MMC 3.0, see MMC 3.0 Best Practices.

For help with specific tasks, see MMC 3.0 How To....

For help using Group Policy settings to configure MMC behavior, see Use Group Policy to Control MMC 3.0 Usage.

For general background information, see MMC 3.0 Concepts.

For information about MMC command-line options, see MMC 3.0 Command-Line Options.

For information about compatibility with 64-bit computing environments or earlier versions of MMC, see MMC 3.0 Compatibility.

For information about accessibility features of MMC, see Accessibility for MMC 3.0.


What's New in MMC 3.0

MMC 3.0 supports richer functionality in snap-ins that are written to take advantage of the MMC 3.0 infrastructure.

New features in MMC 3.0

Several improvements apply to MMC 3.0 snap-in consoles.

Action pane

The Action pane is located on the right-hand side of the snap-in console. The Action pane lists the actions that are available to users, based on the currently selected items in the tree or the results pane. To show or hide the Action pane, click the Show/Hide Action Pane button in the toolbar, which is similar to the Show/Hide Tree button.

New Add or Remove Snap-ins dialog box

The new Add or Remove Snap-ins dialog box makes it easy to add, organize, and remove snap-ins. You can control which extensions are available, and whether to automatically enable snap-ins that may be installed later. You can organize snap-ins by nesting them and rearranging them in the tree. For more information about using the MMC 3.0 Add or Remove Snap-ins dialog box, see Add, Remove, and Organize Snap-ins and Extensions in MMC 3.0.

Improved error handling

MMC 3.0 notifies you of errors in snap-ins that could cause MMC to fail, and provides several options for responding to those errors.

For information about using MMC 3.0 with snap-ins and snap-in consoles created for earlier versions of MMC, see Using Files Created with Earlier Versions of MMC with MMC 3.0.


Add, Remove, and Organize Snap-ins and Extensions in MMC 3.0

Use the Add or Remove Snap-ins dialog box to add, remove, and organize snap-ins and extensions in an MMC 3.0 snap-in console.

In this section

Adding or removing a snap-in

Setting the parent node for a snap-in

Adding or removing a snap-in

To add or remove a snap-in

  1. On the File menu of an open MMC 3.0 console, click Add/Remove Snap-in.

  2. Highlight the snap-in you want to add in the Available snap-ins list, and click Add to add the snap-in to the Selected snap-ins list.

  3. Read a brief description of a snap-in in either list by clicking it and then reading the contents of the Description box at the bottom of the dialog box. Some snap-ins might not provide a description.

  4. Change the order of snap-ins in the snap-in console by clicking a snap-in in the Selected snap-ins list and then clicking Move Up or Move Down.

  5. If you want to add the new snap-in to a node of the open console other than Console Root, see the next procedure, "To set the parent node for a snap-in."

  6. Remove a snap-in by clicking it in the Selected snap-ins list and then clicking Remove.

  7. When you are finished adding or removing snap-ins, click OK.

Setting the parent node for a snap-in

To set the parent node for a snap-in

  1. Click Advanced.

  2. Select the Allow changing the parent snap-in check box, and then click OK.

  3. The Add or Remove snap-ins dialog box now displays the Parent snap-in drop-down list, which displays the console root and all of the snap-ins that are currently in the Selected snap-ins list.

  4. Select a parent node in the Parent snap-in drop-down list. Then click the child snap-in in the Available snap-ins list, and then click Add.

  5. To move a snap-in that is already in the Selected snap-ins list into a different parent node, you must remove it and then add it again.
Note

  • To open the Add or Remove Snap-ins dialog box from a snap-in console, click the File menu, and then click Add or Remove Snap-ins.

See Also

  • MMC Snap-ins


MMC 3.0 Best Practices

These are best practices for MMC 3.0.

Log on as a user without administrative rights

  • While you are logged on with administrative rights, the systems over which you have control can be exposed to attack by malicious users. For more information, see Why you should not run your computer as an administrator.

  • Use the Runas command to open specific tools. For more information, see Using the runas command with MMC.

  • For tools that you use frequently, create shortcuts that use the Runas command. These shortcuts will help you work efficiently without compromising security.

  • When you complete your task, close the tool. This will eliminate an opportunity for a possible system security breach or access by a malicious user.

For more security information, see Local Users and Groups Best Practices.

Follow the security guidelines for the tools that you use

  • Look for security guidelines in the Help that accompanies each tool.

Use the Disk Cleanup feature

  • Per-user preferences for console files are saved in your profile. As these changes accumulate, they consume disk space. To free that disk space, use the Disk Cleanup feature.


MMC 3.0 How To...

In this section

  • Open MMC 3.0

  • Create a New Snap-in Console from Within MMC 3.0

  • Setting MMC 3.0 Console Options

  • Create and Organize Favorites in an MMC Snap-in Console

  • Create a New Snap-in Console Based on an Existing Snap-in Console

  • Use Group Policy to Control MMC 3.0 Usage


Open MMC 3.0

You can open MMC 3.0 either through the Windows interface or the command line:

Using the Windows interface

  • Click Start, click in the Start Search text box, type mmc, and then press ENTER.

Using a command line

  1. Open a command window by clicking Start, clicking in the Start Search text box, typing cmd, and then pressing ENTER.

  2. At the command prompt, type mmc, and then press ENTER.

Notes
  • If you are restricted from using certain snap-ins by Local Policies or Group Policies, you cannot open snap-in consoles that contain those snap-ins.
  • To open an existing or saved MMC console, browse to the snap-in console or a shortcut to the snap-in console in Windows Explorer, and then double-click it.
  • You can also open an existing MMC console from another console in which you are working. To do this, click the File menu, and then click Open.

See Also

  • Use Group Policy to Control MMC 3.0 Usage


Create a New Snap-in Console from Within MMC 3.0

To create a new snap-in console from within MMC 3.0

Perform the following steps to create a new snap-in console.

To create a new snap-in console from within MMC 3.0

  1. Do one of the following:

    • From within a snap-in console, on the File menu, click New.

    • At a command line, type mmc /a.

  2. Customize the new console by following the instructions in the table below.

Task Purpose of Task Reference

Add and organize snap-ins

Add the tools you want the snap-in console to contain.
  • For MMC 3.0, see Add, Remove, and Organize Snap-ins and Extensions in MMC 3.0.

Name the snap-in console

Add a "friendly name" in the console heading to verify that you have opened the right console.
  • Setting MMC 3.0 Console Options

Set the mode

By default, the snap-in console is in author mode. If you are creating the console to delegate work, you might prefer one of the user modes.
  • Setting MMC 3.0 Console Options

  • Use Group Policy to Control MMC 3.0 Usage

  • Snap-in Console Access Modes

Customize views

Hide elements that might be distracting or unnecessary in a snap-in console.
  • To open the Customize View dialog box from a console, click View in the Action pane, and then click Customize; or click the View menu, and then click Customize.

Create and organize Favorites

Use the Favorites list in MMC for quick access to frequently used nodes in the tree.
  • Create and Organize Favorites in an MMC Snap-in Console

Note

If you cannot open a console in author mode, it might be because you are restricted from doing so by Local Policy or Group Policy. For more information about snap-in console access modes, see the links in the following section.

See Also

  • Open MMC 3.0
  • Snap-in Console Access Modes


Setting MMC 3.0 Console Options

To set MMC console options

To set MMC console options

  1. Open a saved console in author mode by doing one of the following:

    • Right-click the .msc file and then click Author.

    • Click Start, click in the Start Search text box, type mmc path\filename.msc /a, and then press ENTER.

  2. On the File menu, click Options.

  3. To change the title for the console, type a new title in the box.

  4. To change the icon for the console, click Change Icon. In File Name, type the path to a file containing icons.

  5. Under Current icon click an icon, and then click OK.

  6. To change the default mode for the console, in Console mode, choose one of these four modes in which you want the console to open.

    • Author mode. Enables full customization of the snap-in console, including the ability to add or remove snap-ins, create new windows, create Favorites and taskpads, and to access all the options of the Customize View and Options dialog boxes. Users creating a custom console file for themselves or others typically use this mode. The resulting snap-in console is usually saved in one of the user modes.

    • User mode—full access. Same as author mode, except that users cannot add or remove snap-ins, change snap-in console options, create Favorites, or create taskpads.

    • User mode—limited access, multiple window. Provides access only to those parts of the tree that were visible when the console file was saved. Users can create new windows, but cannot close any existing windows.

    • User mode—limited access, single window. Provides access only to those parts of the tree that were visible when the console file was saved. Users cannot create new windows.

  7. If the default console mode for the console is one of the user modes:

    • To prevent users from editing the console, select the Do not save changes to this console check box.

    • To enable users to access the Customize View dialog box, select the Allow the user to customize views check box.
Notes
  • If you change the title of a console, the title bar does not display the path of items clicked in the console tree. However, if you do not change the title, or if you delete the title, the paths are displayed.
  • Many files contain icons that can be used for custom consoles. For example, you can find more icons in Shell32.dll, located in the %Systemroot%\System32 folder.
  • To stop receiving the message Save console settings to console name?, which appears each time you close a console opened in author mode, set the default mode for the console to one of the user modes, and then clear the Do not save changes to this console check box. Any changes to the console are saved by default.

See Also

  • MMC 3.0 in Author Mode
  • Open MMC 3.0
  • Snap-in Console Access Modes


Create and Organize Favorites in an MMC Snap-in Console

Use the Favorites list to add, remove, and organize your Favorites. Your Favorites list can include page views and taskpads to which you want to navigate quickly.

In this section

To add an item to the Favorites list in a snap-in console

To organize the Favorites list in a snap-in console

To add an item to the Favorites list in a snap-in console

  1. In the tree, click the item that you want to add to the Favorites list.

  2. On the Favorites menu, click Add to Favorites.

  3. In Create in, do one of the following:

    • To add an item to an existing folder, click the folder in which you want the item to reside, and then click OK.

    • To add an item to a new folder, click the folder you want as the parent, and then click New Folder. In Folder name, type a name, click OK, and then click OK again.

To organize the Favorites list in a snap-in console

  • On the Favorites menu, click Organize Favorites, and then do any of the following:

    • To add a folder, click Create Folder, type a name in Folder name, and then click OK.

    • To move an item to a folder, click the item under the Favorites folder, click Move to Folder, click the folder where you want the item to appear, and then click OK.

    • To change the name of an item, click the item under the Favorites folder, click Rename, type a new name, and then press ENTER.

    • To remove an item, click the item under the Favorites folder, and then click Delete.

See Also

  • Open MMC 3.0


Create a New Snap-in Console Based on an Existing Snap-in Console

To create a new snap-in console based on an existing snap-in console

  1. Open an existing console that you want to use as the basis for the new console.

  2. On the File menu, click Save as, and then type a name for the new console.

Notes
  • To open an existing or saved MMC console, browse to the snap-in console or a shortcut to the snap-in console in Windows Explorer, and then double-click it.
  • You can also open an existing MMC console from another console in which you are working. To do this, click the File menu, and then click Open.

See Also

  • Add, Remove, and Organize Snap-ins and Extensions in MMC 3.0
  • Create a New Snap-in Console from Within MMC 3.0
  • Open MMC 3.0
  • Snap-in Console Access Modes


Use Group Policy to Control MMC 3.0 Usage

In this section

  • Control MMC Usage by Using Local Group Policy

  • Control MMC Usage by Using Domain-Wide Group Policy


Control MMC Usage by Using Local Group Policy

Controlling MMC usage by using local Group Policy

To control MMC usage by using local Group Policy

  1. Open MMC 3.0.

  2. On the File menu, click Add/Remove Snap-in.

  3. In the Available snap-ins list, click the Group Policy editor, and then click Add.

  4. In the Select Group Policy Object wizard, use the default setting, Local Computer, in the Group Policy Object field.

  5. Click Finish to close the Select Group Policy Object wizard.

  6. By default, all available snap-in extensions are enabled. If you want to enable only certain extensions, highlight the snap-in in the Selected snap-ins list, and then click Edit Extensions.

  7. By default, snap-ins load as child objects of the Console Root node. Click Advanced to modify this behavior and allow you to choose a different parent snap-in.

  8. In the Add or Remove Snap-ins dialog box, click OK.

  9. Before closing the new console, perform any of these procedures:

    • To restrict access to author mode in MMC

    • To restrict access to a permitted list of snap-ins

    • To permit or restrict access to a snap-in

Restricting access to author mode in MMC

To restrict access to author mode in MMC

  1. In the tree, click Microsoft Management Console.

You will find it in the following path: PolicyName Policy\User Configuration\Administrative Templates\Windows Components\Microsoft Management Console.

  1. In the results pane, double-click Restrict the user from entering author mode.

  2. On the Setting tab, do one of the following:

    • To allow the user to use author mode in MMC, click Not Configured or Disabled.

    • To restrict the user from using author mode in MMC, click Enabled.

  3. Click OK.
Note

When Restrict the user from entering author mode has been enabled, any attempt to reaccess the console results in a message indicating that access is blocked to the snap-in console in author mode. Users with administrator credentials can regain access to author mode by using the Search command and typing gpedit.msc, which opens the Group Policy editor for local computer policy. Next, browse to Microsoft Management Console as described in the procedure "To restrict access to author mode in MMC" above, double-click Restrict the user from entering author mode in the results pane, and then click either Not Configured or Disabled.

Restricting access to a permitted list of snap-ins

To restrict access to a permitted list of snap-ins

  1. In the tree, click Microsoft Management Console.

You will find it in the following path: PolicyName Policy\User Configuration\Administrative Templates\Windows Components\Microsoft Management Console.

  1. In the results pane, double-click Restrict users to the explicitly permitted list of snap-ins.

  2. On the Setting tab, do one of the following:

    • To permit the user to access snap-ins that are not explicitly restricted, click Not Configured or Disabled.

    • To restrict the user from accessing any snap-in that is not explicitly permitted, click Enabled.

  3. Click OK.
Note

If you enable this policy, only permitted snap-ins appear in the list of available snap-ins in the Add Standalone Snap-in dialog box in MMC.

Permitting or restrict access to a snap-in

To permit or restrict access to a snap-in

  1. In the tree, click Restricted/Permitted snap-ins.

You will find it in the following path: PolicyName Policy\User Configuration\Administrative Templates\Windows Components\Microsoft Management Console\Restricted/Permitted snap-ins.

  1. In the results pane, double-click the snap-in that you want to permit or restrict, and then do one of the following:

    • To enable the user to access this snap-in (unless the user is restricted by the Restrict users to the explicitly permitted list of snap-ins policy), click Not Configured.

    • To permit the user to access this snap-in, click Enabled.

    • To restrict the user from accessing this snap-in, click Disabled.

  2. Click OK.
Notes
  • To open MMC, click Start, click in the Start Search text box, type mmc, and then press ENTER.
  • For more information about any of these settings, click the Explain tab in the dialog box for the Group Policy setting you are selecting, and see Help.
  • These features apply only in a network where the Group Policy editor has been configured; a system administrator must enable the Group Policy editor. The Group Policy editor is not available in Windows XP Home Edition.

See Also

  • Open MMC 3.0
  • Use Group Policy to Control MMC 3.0 Usage


Control MMC Usage by Using Domain-Wide Group Policy

Controlling MMC usage by using domain-wide Group Policy

You must be a member of the Domain Administrators group to modify domain-wide Group Policy.

To control MMC usage by using domain-wide Group Policy

  1. Open Active Directory Users and Computers.

    The Active Directory Users and Computers snap-in is available only on computers configured as Active Directory domain controllers. To open Active Directory Users and Computers, click Start, point to Administrative Tools, and then click Active Directory Users and Computers.

  2. In the tree, right-click the organizational unit for which you want to configure policy, and then click Properties.

  3. On the Group Policy tab, click Edit.

    The Group Policy editor opens.

  4. Before closing the Active Directory Users and Computers snap-in, perform any of the following procedures:

    • To restrict access to author mode in MMC for a domain

    • To restrict access to a permitted list of snap-ins for a domain

    • To permit or restrict access to a snap-in for a domain

Restricting access to author mode in MMC for a domain

To restrict access to author mode in MMC for a domain

  1. In the tree, click Microsoft Management Console.

    The Microsoft Management Console object is found in the following path: PolicyName Policy\User Configuration\Administrative Templates\Windows Components\Microsoft Management Console.

  2. In the results pane, double-click Restrict the user from entering author mode.

  3. On the Policy tab, do one of the following:

    • To allow the user to use author mode in MMC, click Not Configured or Disabled.

    • To restrict the user from using author mode in MMC, click Enabled.

  4. Click OK.

Restricting access to a permitted list of snap-ins for a domain

To restrict access to a permitted list of snap-ins for a domain

  1. In the tree, click Microsoft Management Console.

    The Microsoft Management Console object is found in the following path: PolicyName Policy\User Configuration\Administrative Templates\Windows Components\Microsoft Management Console.

  2. In the results pane, double-click Restrict users to the explicitly permitted list of snap-ins.

  3. On the Policy tab, do one of the following:

    • To permit the user to access snap-ins that are not explicitly restricted, click Not Configured or Disabled.

    • To restrict the user from accessing any snap-in that is not explicitly permitted, click Enabled.

  4. Click OK.
Note

If you enable this policy, only permitted snap-ins appear in the list of available snap-ins in the Add Standalone Snap-in dialog box in MMC.

Permitting or restricting access to a snap-in for a domain

To permit or restrict access to a snap-in for a domain

  1. In the tree, click Restricted/Permitted snap-ins.

The Restricted/Permitted snap-ins object is found in the following path: PolicyName Policy\User Configuration\Administrative Templates\Windows Components\Microsoft Management Console\Restricted/Permitted snap-ins.

  1. In the results pane, double-click the snap-in that you want to permit or restrict, and then do one of the following:

    • To enable the user to access this snap-in (unless the user is restricted by the Restrict users to the explicitly permitted list of snap-ins policy), click Not Configured.

    • To permit the user to access this snap-in, click Enabled.

    • To restrict the user from accessing this snap-in, click Disabled.

  2. Click OK.
Note

When you restrict or explicitly permit access to a snap-in, the snap-in is added to a list of restricted or permitted snap-ins. The restricted list takes precedence over the permitted list, so that if the same snap-in exists on both lists, access to the snap-in is restricted.

Additional Information

  • Active Directory applies only in a network where the Group Policy editor has been configured. You must be a domain administrator, or have equivalent rights, and use a computer configured as a domain controller to configure the Group Policy editor for a domain.

  • For more information about any of these settings, click the Explain tab in the dialog box for the Group Policy setting you are selecting, and see Help.

See Also

  • Open MMC 3.0


MMC 3.0 Concepts

In this section

  • MMC 3.0 in Author Mode

  • MMC Snap-ins

  • Snap-in Console Access Modes


MMC 3.0 in Author Mode

MMC 3.0 in Author Mode

You can use MMC in author mode to create new snap-in consoles or modify existing snap-in consoles. To create an administrative tool, you add snap-ins and other items to a snap-in console. You can create additional windows that provide views of the various items that make up a snap-in console. You can also create taskpad views that contain shortcuts to run menu commands from different locations and tools in the snap-in console, as well as run command-line functions. After a snap-in console is saved, you can distribute it to users.

Note

In MMC 3.0, the Action pane replaces taskpad views. The New Taskpad View Wizard is not available for snap-ins created for MMC 3.0, but continues to be supported for older snap-ins.

For instructions about how to modify a snap-in console, see MMC 3.0 How To....

For information about author mode and other MMC access modes, see Snap-in Console Access Modes.


MMC Snap-ins

A snap-in is the basic component of a console. You can use snap-ins only within consoles; you cannot run them independently of a console.

When you install a component that has a snap-in associated with it, the snap-in is available to anyone creating a console on that computer (unless restricted by a user policy).

Snap-ins and snap-in extensions

MMC supports two types of snap-ins: stand-alone snap-ins and snap-in extensions. You can add a stand-alone snap-in, typically called a snap-in, to a console without adding another item first. A snap-in extension, typically called an extension, is always added to a snap-in or to another snap-in extension that is already in the tree. When extensions are enabled for a snap-in, they operate on the objects controlled by the snap-in, such as a computer, printer, modem, or other device.

When you add a snap-in or extension to a console, it might appear as a new item in the tree, or it might add shortcut menu items, additional toolbars, additional property pages, or wizards to a snap-in already installed in the console.

Adding snap-ins to a console

You can add a single snap-in or multiple snap-ins and other items to a console. In addition, you can add multiple instances of a particular snap-in to the same console in order to administer different computers or to repair a damaged console. Each time you add a new instance of a snap-in to a console, any variables for the snap-in are set at default values until you configure the snap-in. For example, if you configure a particular snap-in to manage a remote computer, and then you add a second instance of the snap-in, the second instance will not automatically be configured to manage the remote computer.

Typically, you can only add snap-ins that are installed on the computer you are using to author a console. However, if your computer is part of a domain, you can use MMC to download any snap-ins that are not locally installed but that are available in Active Directory. For more information about adding published snap-ins and extensions to a console, see Add, Remove, and Organize Snap-ins and Extensions in MMC 3.0.

See Also

  • Group Policy How To...


Snap-in Console Access Modes

When building a custom snap-in console, you can assign the console one of two access options: author mode or user mode. There are, in turn, three levels of user mode, so that there are four options for default access to a console, which are described in the following table.

Mode | Description
Author mode | Enables full customization of the snap-in console, including the ability to add or remove snap-ins, create new windows, create Favorites and taskpads, and access all the options of the Customize View and Options dialog boxes. Users creating a custom console file for themselves or others typically use this mode. The resulting snap-in console is usually saved in one of the user modes in this table.
User mode—full access | The same as author mode, except that users cannot add or remove snap-ins, change snap-in console options, create Favorites, or create taskpads.
User mode—limited access, multiple window | Provides access only to those parts of the tree that were visible when the console file was saved. Users can create new windows, but cannot close any existing windows.
User mode—limited access, single window | Provides access only to those parts of the tree that were visible when the console file was saved. Users cannot create new windows.

You can configure these options in the Options dialog box in MMC. For instructions on opening this dialog box, see Setting MMC 3.0 Console Options.

Changes made to snap-in consoles in author mode and in user mode are saved differently. If you work with a snap-in console in author mode, when you close the console you are prompted to save your changes. However, if you work with a snap-in console in user mode and have cleared the Do not save changes to this console check box, available by clicking Options on the File menu, changes will be saved when you close the console.

If any of the following conditions apply, the default mode for a console is ignored and a console is opened in author mode:

  • MMC is already open when a snap-in console is opened.

  • A snap-in console is opened by using the shortcut menu command Author.

  • A console is opened at the command prompt with the /a option.

For more information about snap-in console modes and their command-line syntax for MMC, see Open MMC 3.0.

Author mode access for MMC is unnecessary for users who do not need to create or change snap-in consoles. A system administrator can configure user profile settings to prevent users from opening MMC in author mode, by disabling the /a option or the shortcut menu option. In addition, an administrator can use Group Policy settings to prevent users from opening MMC and saved consoles in author mode. For more information, see Use Group Policy to Control MMC 3.0 Usage.


MMC 3.0 Command-Line Options

Using MMC command-line options, you can open a specific snap-in console, open MMC in author mode, or specify whether the 32-bit or 64-bit version of MMC is opened.

Syntax

mmc <path\filename>.msc [/a] [/64] [/32]

Parameters

<path\filename>.msc Starts MMC and opens a saved snap-in console. You need to specify the complete path and file name for the saved console file. If you do not specify a console file, MMC opens a new snap-in console.

/a Opens a saved snap-in console in author mode. Use to make changes to saved consoles.

/64 Opens the 64-bit version of MMC (MMC64). Use this option only if you are running a Microsoft 64-bit operating system and want to use a 64-bit snap-in.

/32 Opens the 32-bit version of MMC (MMC32). When running a Microsoft 64-bit operating system, you can run 32-bit snap-ins by opening MMC with this command-line option when you have 32-bit only snap-ins.

Remarks

  • Using the <path\filename>.msc command-line option

    You can use environment variables to create command lines or shortcuts that do not depend on the explicit location of console files. For instance, if the path to a console file is in the system folder (for example, mmc c:\winnt\system32\console_name), you can use the expandable data string %Systemroot% to specify the location (mmc %Systemroot%\system32\console_name.msc). This may be useful if you are delegating tasks to people in your organization who are working on different computers.

  • Using the /a command-line option

    When snap-in consoles are opened with this option, they are opened in author mode, regardless of their default mode. This does not permanently change the default mode setting for files; when you omit this option, MMC opens snap-in consoles according to their default mode settings.

  • After you open MMC or a console file in author mode, you can open any existing console by clicking Open on the Console menu.

  • You can use the command line to create shortcuts for opening MMC and saved snap-in consoles. A command-line command works with the Run command on the Start menu (if the Classic view of the Start menu is selected), in any command-prompt window, in shortcuts, or in any batch file or program that calls the command.

See Also

  • Command-line syntax notation
  • Command-line reference A-Z


MMC 3.0 Compatibility

In this section

  • Running 32-Bit and 64-Bit Snap-ins on 64-Bit Windows Operating Systems

  • Using Files Created with Earlier Versions of MMC with MMC 3.0


Running 32-Bit and 64-Bit Snap-ins on 64-Bit Windows Operating Systems

Microsoft 64-bit operating systems can run both 32-bit MMC (MMC32) and 64-bit MMC (MMC64). MMC64 cannot run 32-bit snap-ins, and MMC32 cannot run 64-bit snap-ins. Some snap-ins are available in both 32-bit and 64-bit form. A snap-in is considered available in 64-bit form if it exists as an HKEY_CLASSES_ROOT\CLSID\snap-in clsid\InprocServer32 key in the registry, where snap-in clsid is the registered CLSID for the snap-in.

This topic describes how to determine and control which version of MMC is executed in a Microsoft 64-bit operating system.

Start-up considerations if /32 or /64 is used

MMC can be executed with command-line parameters, including a console file name and, on a 64-bit Windows operating system, the following command-line switches:

/32

Specifies MMC32.

/64

Specifies MMC64. This is the default on a 64-bit Windows operating system.

If both of these command-line options are used, the last one on the command line takes effect. MMC64 will yield transparently to MMC32 if certain conditions are met, as described in the following section.

Start-up considerations if a console file is specified

If the MMC command line does not contain a /32 or /64 command-line option, but the command line does contain a console file name, then MMC64 examines the console file before determining which version to run. The decision sequence is as follows:

  1. If all snap-ins in the console are available in 64-bit form, then MMC64 is used.

  2. If all snap-ins in the console are available in 32-bit form and some are not available in 64-bit form, then MMC32 is used. (MMC64 starts MMC32, and then MMC64 terminates.)

  3. If the list of available 64-bit snap-ins is a superset of the available 32-bit snap-ins, then MMC64 is used. Similarly, if the list of available 32-bit snap-ins is a superset of the available 64-bit snap-ins, then MMC64 starts MMC32 and MMC64 terminates.

    For example, if a console contains three snap-ins that are available only in 32-bit form, and two snap-ins that are available both in 64-bit and 32-bit form, the five 32-bit-compatible snap-ins together would be considered a superset of the 64-bit snap-ins, and MMC32 would be started.

  4. If some of the snap-ins are available only in 64-bit form and some snap-ins are available only in 32-bit form, you are prompted to specify which version of MMC to run. If you choose MMC64, only the 64-bit snap-ins are loaded. If you choose MMC32, only the 32-bit snap-ins are loaded.

When to specify the path to the console file

System files are stored in the %windir%\system32 folder. In the 64-bit versions of Windows operating systems, the \system32 folder contains 64-bit files, including 64-bit consoles such as eventvwr.msc. If there is also a 32-bit version of the snap-in, it resides in the %windir%\syswow64 folder. In this example, the 32-bit version of Event Viewer would be %windir%\syswow64\eventvwr.msc. If there is both a 64-bit version of the console in the \system32 folder and a 32-bit version in the \syswow64 folder and you want to explicitly run the 32-bit version, you must bypass the MMC decision-making process by specifying both the path and the /32 command-line parameter. For example:

MMC /32 %windir%\syswow64\eventvwr.msc

Note

Double-clicking a shortcut to a file in the \syswow64 folder is like double-clicking the file in Windows Explorer, because it will run MMC without the /32 command-line parameter. To open the 32-bit consoles in the \syswow64 folder, click Start, click Search, and then type the command specifying both the path and the /32 command-line parameter, instead of using a shortcut.


Using Files Created with Earlier Versions of MMC with MMC 3.0

Compatibility with Earlier Versions of MMC

MMC 3.0 is designed to support snap-ins designed for MMC 2.0 and MMC 1.2. You can add these snap-ins to an MMC 3.0 snap-in console, and they will function as they do in the versions of MMC for which they were designed.

You can use MMC 3.0 to open a snap-in console that was created using MMC 2.0 or MMC 1.2. If you then save the snap-in console, you will be asked whether to save it in MMC 3.0 format. If you save it in MMC 3.0 format, you will not be able to open it by using earlier versions of MMC. You cannot use MMC 2.0 or MMC 1.2 to open a snap-in console that was created using MMC 3.0.


Accessibility for MMC 3.0

In addition to Microsoft Windows accessibility products and services, MMC provides keyboard shortcuts for selecting commands and for navigating in and between MMC windows. Snap-ins and other items that are added to a snap-in console may also provide accessibility features. For more information, refer to the Help or other documentation for that item.

In this section

  • Navigation in MMC Using the Keyboard and Mouse

  • MMC Keyboard Shortcuts


Navigation in MMC Using the Keyboard and Mouse

You can browse the tree by expanding and collapsing branches. To do this, click the plus sign and minus sign icons, or double-click the branch. The following table lists the keys and key combinations you can use to move in and between windows in the current console.

Keystroke Action | Result
TAB or F6 | Moves forward between panes in the active window.
SHIFT+TAB or SHIFT+F6 | Moves backward between panes in the active window.
CTRL+TAB or CTRL+F6 | Moves forward between windows.
CTRL+SHIFT+TAB or CTRL+SHIFT+F6 | Moves backward between windows.
PLUS SIGN (+) on the numeric keypad | Expands the selected item.
MINUS SIGN (-) on the numeric keypad | Collapses the selected item.
Asterisk (*) on the numeric keypad | Expands the entire tree below the root item in the active window.
UP ARROW | Moves the selection up one item in a pane.
DOWN ARROW | Moves the selection down one item in a pane.
PAGE UP | Moves the selection to the top item visible in a pane.
PAGE DOWN | Moves the selection to the bottom item visible in a pane.
HOME | Moves the selection to the first item in a pane.
END | Moves the selection to the last item in a pane.
RIGHT ARROW | Expands the selected item. If the selected item does not contain hidden items, behaves like DOWN ARROW.
LEFT ARROW | Collapses the selected item. If the selected item does not contain exposed items, behaves like UP ARROW.
ALT+RIGHT ARROW | Moves the selection to the next item. Performs the same function as the Forward arrow on the toolbar.
ALT+LEFT ARROW | Moves the selection to the previous item. Performs the same function as the Back arrow on the toolbar.

The following table lists the mouse actions you can use to move through an MMC tree.

Mouse Action | Result
Click | Selects an item.
Double-click | Displays or hides items contained by the selected item. Displays properties for or opens an item.
Right-click | Displays the Action shortcut menu for the selected item.
Note

If the mouse buttons do not behave as expected, the right and left buttons might be switched. The computer you are using might be configured so that the default actions result from the left and right mouse buttons are reversed.


MMC Keyboard Shortcuts

This topic describes two types of keyboard shortcuts: shortcuts for the main window and shortcuts for the active window.

MMC main window keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the entire snap-in console or the main window of a snap-in console.

Action | Result
CTRL+O | Opens a saved snap-in console.
CTRL+N | Opens a new snap-in console.
CTRL+S | Saves the open snap-in console.
CTRL+M | Opens the Add or Remove Snap-ins dialog box.
CTRL+W | Opens a new window.
F5 | Refreshes the content of all snap-in console windows.
ALT+SPACEBAR | Displays the MMC window menu.
ALT+F4 | Closes the snap-in console.
ALT+A | Displays the Action menu.
ALT+V | Displays the View menu.
ALT+F | Displays the File menu.
ALT+O | Displays the Favorites menu.
ALT+W | Displays the Window menu.
ALT+H | Displays the Help menu.
Note

The CTRL+W keyboard shortcut is available for consoles opened in author mode or user mode with full access. Other CTRL+ shortcuts are available only for consoles opened in author mode.

MMC active window keyboard shortcuts

The following table lists keyboard shortcuts for the menu commands that act on the active window in a snap-in console or its contents.

Action | Result
CTRL+P | Prints the current page or active pane, if the snap-in implements the printing function.
ALT+MINUS SIGN | Displays the window menu for the active snap-in console window.
SHIFT+F10 | Displays the Action shortcut menu for the selected item.
F1 | Opens the Help topic, if any, for the selected item.
F5 | Refreshes the content of all snap-in console windows.
CTRL+F10 | Maximizes the active snap-in console window.
CTRL+F5 | Restores the active snap-in console window.
ALT+ENTER | Displays the properties dialog box, if any, for the selected item.
F2 | Renames the selected item.
CTRL+F4 | Closes the active snap-in console window. When a snap-in console has only one window, this closes the snap-in console.


Command-line syntax notation

The following table describes the notation used to indicate command-line syntax.

Notation | Description
Text without brackets or braces | Items you must type as shown
<Text inside angle brackets> | Placeholder for which you must supply a value
[Text inside square brackets] | Optional items
{Text inside braces} | Set of required items; choose one
Vertical bar (|) | Separator for mutually exclusive items; choose one
Ellipsis (…) | Items that can be repeated